com.sun.jna.platform.win32

## Class BaseTSD.SSIZE_T

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.BaseTSD.LONG_PTR
      - - com.sun.jna.platform.win32.BaseTSD.SSIZE_T

All Implemented Interfaces:
  NativeMapped, java.io.Serializable

Enclosing interface:
  BaseTSD

    public static class BaseTSD.SSIZE_T
    extends BaseTSD.LONG_PTR

Signed SIZE_T.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SSIZE_T()`
`SSIZE_T(long value)`

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.BaseTSD.LONG_PTR

`toPointer`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SSIZE_T

    public SSIZE_T()

#### SSIZE_T

    public SSIZE_T(long value)

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.